Mattermost Peer-to-Peer Forum

Developer setup bad node & npm version?


#1

Hello,
I clean installed node(v11.9.0) and npm (6.5.0) and launched “make run” to build run mattermost server & webapp but I get this error:

ERROR in ./root.jsx
Module build failed (from ./node_modules/babel-loader/lib/index.js):
SyntaxError: /home/pierre/go/src/github.com/mattermost/mattermost-webapp/root.jsx: Unexpected token (55:8)

53 | function renderRootComponent() {
54 | ReactDOM.render((

55 |
| ^
56 |
57 | <Route
58 | path=’/’

Can’t get it working, tried to change node/npm version to lower but didn’t work either . :frowning:


#2

Hi @pierre,

Would you be open to joining our Developers channel on our community server and either our developers or community members can help with this: https://community.mattermost.com/core/channels/developers?